Package org.pentaho.reporting.libraries.resourceloader

## Interface ResourceBundleData

- All Superinterfaces:
    `ResourceData`
  All Known Implementing Classes:
    `CachingResourceBundleData`

      public interface ResourceBundleData
      extends ResourceData

  Todo: Document Me
  Author:
    Thomas Morgner

- - ### Field Summary

    - ### Fields inherited from interface org.pentaho.reporting.libraries.resourceloader.ResourceData

      `CONTENT_LENGTH, CONTENT_TYPE, FILENAME`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ResourceBundleData` | `deriveData​(ResourceKey key)` |
    `ResourceManager` | `deriveManager​(ResourceManager parent)` |
    `ResourceKey` | `getBundleKey()` |

    - ### Methods inherited from interface org.pentaho.reporting.libraries.resourceloader.ResourceData

      `getAttribute, getKey, getLength, getResource, getResource, getResourceAsStream, getVersion`

- - ### Method Detail

    - #### getBundleKey

          ResourceKey getBundleKey()

    - #### deriveData

          ResourceBundleData deriveData​(ResourceKey key)
                                 throws ResourceLoadingException

      Throws:
        `ResourceLoadingException`

    - #### deriveManager

          ResourceManager deriveManager​(ResourceManager parent)
                                 throws ResourceLoadingException

      Throws:
        `ResourceLoadingException`